%define name mama-perl
%define version 0.3
%define release 1

Summary: makeman.pl - parse an SGML man page into valid roff source
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: BSD
URL: http://mama.sourceforge.net
Packager: Jan Schaumann <jschauma@netmeister.org>
Group: Tools

%description
makeman.pl  is part of MakeMan, a project to provide several frontends, GUI
and non-GUI, to an XML inter face to write man pages.  makeman.pl, written in
Perl, parses an XML input file and generates valid roff source that can be
read by man. For details, please see http://mama.sourceforge.net

%prep
%setup

%build

%install
make install
install -d /usr/share/doc/mama-perl-0.1

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS CHANGES INSTALL doc/html/*
/usr/bin/makeman.pl
/usr/share/doc/makeman/makeman-perl/*
/usr/share/man/man1/makeman.pl.1

%changelog
* Tue Sep 04 2001 Jan Schaumann <jschauma@netmeister.org> 0.3-1

 - fixed a small bug:
   if you have more than one "req" or "plain" args in a
   "cmdsynopsis", they were rendered without whitespace between
   the args.  Now it works properly.

 - restructuring of output generation:
   - fixed a very annoying bug with respect to extra lines due to
     white-space in SGML sources
   - if document is not valid, do not write output unless DESPERATE

 - new command-line option "-d" (for DESPARATE):
   - if document is not valid, but "-d" was passed, we write what we
   got anyway
			
 - minor bug regarding header information: If empty tags, don't
   process the tags.

   fixed bug: relative indenting when using lists now works properly

2001-08-24: Released first version of makeman.pl to the world

* Mon Aug 27 2001 Jan Schaumann <jschauma@netmeister.org> 0.2-1

 - added support for:
   - <simplelist type='vert'>
   - <simplelist type='inline'>
   - <member>
   - <itemizedlist mark='bullet'>
   - <itemizedlist mark='emdash'>
   - <listitem override='emdash'>
   - <listitem override='bullet'>
   - <itemizedlist spacing='compact'>
   - <orderelist>
   - <orderelist numeration='arabic'>
   - <orderelist numeration='loweralpha'>
   - <orderelist numeration='upperalpha'>
   - <orderelist continuation='continues'>
   - <orderelist spacing='compact'>

   fixed small bug within parsing commandsynopsis

   fixed bugs; now properly displays
    - >
    - <
    - &

   corrected some formatting errors
			  
   added support for:
    - <replacable>
    - <optional>
    - <filename>

* Fri Aug 24 2001 Jan Schaumann <jschauma@netmeister.org> 0.1-1
- First spec file

# end of file
